Subject: Re: [bitcoin-dev] bitcoin scripting and lisp

From: "Russell O'Connor" <[email-masked]>
Date: Sat, 5 Mar 2022 15:10:11 -0500

On Sat, Mar 5, 2022 at 8:41 AM Jeremy Rubin via bitcoin-dev <
[email-masked]> wrote:

> It seems like a decent concept for exploration.
>
> AJ, I'd be interested to know what you've been able to build with Chia
> Lisp and what your experience has been... e.g. what does the Lightning
> Network look like on Chia?
>
>
> One question that I have had is that it seems like to me that neither
> simplicity nor chia lisp would be particularly suited to a ZK prover...
>

Not that I necessarily disagree with this statement, but I can say that I
have experimented with compiling Simplicity to Boolean circuits.  It was a
while ago, but I think the result of compiling my SHA256 program was within
an order of magnitude of the hand made SHA256 circuit for bulletproofs.